# 32/64bit-specfile
#
%define name	gtknetcat
%define version 0.1
%define release %mkrel 7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Easy method to transfer files between two computers
Summary(de):	Einfache Methode zum Transferieren von Dateien zwischen Computern
Source0:	%{name}-%{version}.tar.xz
URL:            http://lxde.sourceforge.net/
Group:		Networking/File transfer
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:	python-devel
Requires:	python >= 2.7
Requires:	netcat-traditional

%description
NetCat GUI tool

This is an easy-to-use wizard which enables you to transfer files
between two computers.

%description -l de
NetCat GUI Werkzeug

Dies ist ein einfach zu benutzender Assistent, der es Ihnen erlaubt 
Dateien zwischen zwei Computern zu transferieren.

%package i10n
Summary:    	Internationalisation files for gtknetcat
Summary(de):	Sprachdateien für %name
Group:      	Networking/File transfer
Requires:   	%{name}

%description i10n
Internationalisation files for gtknetcat

%description i10n -l de
Sprachdateien für gtknetcat

%prep
%setup -q
rm -rf $RPM_BUILD_ROOT

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_libdir}/%{name}.py
/usr/lib/python*/site-packages/%{name}/*
%{_datadir}/%{name}/wizard.glade
%{_datadir}/applications/%{name}.desktop

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.1-7pclos2013
- update python 2.7

* Fri Feb 15 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1-6pclos2013
- 64bit build
- added german summaries and descriptions
- added xz compression for source

* Sun Apr 24 2011 Texstar <texstar at gmail.com> 0.1-5pclos2011
- fix dependency

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.1-4pclos2010
- Update

* Thu Mar 12 2009 Texstar <texstar@gmail.com> 0.1-3pclos2007
- rebuild

